#!/bin/bash
PRODUCT="Macromedia Flash Player"
VERSION="7"
PLATFORM="Linux"

FPVERSIONMAJ=7
FPVERSIONMIN=0
FPVERSIONREV=70

# Environment variables
PATH=.:/usr/share/flash:/bin:/usr/bin:/usr/local/bin:/sbin:$PATH
export PATH
which mozilla
MOZILLA=$?
which firefox
FIREFOX=$?
which konqueror
KONQUEROR=$?

FILES="flashplayer.xpt  libflashplayer.so"
SOURCE="/usr/lib/flash"
DESTINATION="/usr/lib/mozilla/plugins"

SILENT='&> /dev/null'

if [ -n $MOZILLA -o -n $FIREFOX -o -n $KONQUEROR ]
then
	mkdir -p $DESTINATION
	for FILE in $FILES; do
		SFILE=${SOURCE}/${FILE}
		DFILE=${DESTINATION}/${FILE}
		if [ -e ${SFILE} ]; then
			if ! cmp -s ${SFILE} ${DFILE}; then
				#echo "Removing old ${PRODUCT}"s
				rm -f ${DFILE}
			fi
			if ! [ -e ${DFILE} ]; then
				#echo "Creating symbolic link ${DFILE} -> ${SFILE}"
				ln -s ${SFILE} ${DFILE}
			fi
		else
			echo "Required source file ${SFILE} does not exist"
		fi
	done

	$PLUGINFODIR
	if [ -n $KONQUEROR ]; then
		PLUGINFONAME='/.kde/share/apps/nsplugins/pluginsinfo'
		mkdir -p '/etc/skel'${PLUGINFONAME}
		AUTORUNNAME='/.kde/Autostart/nsplugins-search.sh'
		mkdir -p `dirname /etc/skel/${PLUGINFONAME}`
		for HOMEDIR in `cut -d':' /etc/passwd -f6` '/etc/skel'; do
			CURINFONAME=${HOMEDIR}/${PLUGINFONAME}
			CURINFODIR=`dirname ${CURINFONAME}`
			CURAUTORUN="${HOMEDIR}/${AUTORUNNAME}"
			if [ \( -d ${CURINFODIR} \) -a \( -w ${CURINFODIR} \) ] ; then
				echo -e "#!/bin/sh\nnice -n 20 nspluginscan >& /dev/null\nif [ \${?} -eq 0  ]; then rm -f \"${CURAUTORUN}\" ; fi \n" > ${CURAUTORUN} 2> /dev/null
				chmod 755 ${CURAUTORUN}
			fi
		done
	fi
fi
